response.h File Reference

MPD client library. More...

Go to the source code of this file.

## Functions

bool | mpd_response_finish (struct mpd_connection *connection)
bool | mpd_response_next (struct mpd_connection *connection)

## Detailed Description

MPD client library.

Do not include this header directly. Use mpd/client.h instead.

Definition in file response.h.

## Function Documentation

bool mpd_response_finish | ( | struct mpd_connection * | connection | ) |

Finishes the response and checks if the command was successful. If there are data pairs left, they are discarded.

Returns
  true on success, false on error

bool mpd_response_next | ( | struct mpd_connection * | connection | ) |

Finishes the response of the current list command. If there are data pairs left, they are discarded.

Returns
  true on success, false on error